import React from 'react';
import type { Item } from '../stores/aggregations-queries-items';
interface SelectState {
    database?: string;
    collection?: string;
}
interface FilterItem {
    score: number;
    item: Item;
}
export declare function filterByText(items: Item[], text: string): FilterItem[];
export declare function useGridFilters(items: Item[]): {
    controls: React.ReactElement;
    conditions: SelectState;
    search: string;
};
export declare function useFilteredItems(items: Item[], conditions: SelectState, search: string): FilterItem[];
export {};
//# sourceMappingURL=use-grid-filters.d.ts.map