/// <reference types="react" />
import { type DataServiceLocator } from 'mongodb-data-service/provider';
import type { DataService } from 'mongodb-data-service';
import type { WorkspaceComponent } from '@mongodb-js/compass-workspaces';
export declare const MyQueriesPlugin: import("hadron-app-registry").HadronPluginComponent<Record<string, never> & {
    children?: import("react").ReactNode;
}, {
    dataService: DataServiceLocator<keyof DataService>;
    instance: () => import("mongodb-instance-model").MongoDBInstance;
    logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
    workspaces: () => import("@mongodb-js/compass-workspaces/provider").WorkspacesService;
    pipelineStorage: () => import("@mongodb-js/my-queries-storage/provider").PipelineStorage | undefined;
    favoriteQueryStorageAccess: () => import("@mongodb-js/my-queries-storage/provider").FavoriteQueryStorageAccess | undefined;
}>;
export declare const WorkspaceTab: WorkspaceComponent<'My Queries'>;
export default MyQueriesPlugin;
//# sourceMappingURL=index.d.ts.map